## el-ixir 3.0

=== Makefile ===
el-ixir: *.pas
	fpc -XX el-ixir.pas

clean:
	rm -f *.gpi *.o *.ppu el-ixir

install: el-ixir
	mkdir -p "$$DESTDIR/usr/games"
	install -c el-ixir "$$DESTDIR/usr/games/"

dist:
	rm -rf tmp
	mkdir tmp
	VER=`git describe --tags` && \
	mkdir "tmp/el-ixir-$$VER" && \
	cp -p *.pas Makefile "tmp/el-ixir-$$VER/" && \
	cd tmp && \
	tar cfz "../el-ixir-$$VER.tar.gz" *
	rm -rf tmp

=== debian/changelog ===
el-ixir (3.0-3) unstable; urgency=medium

  * Bump the watch file version to 4.
  * dh 13.

 -- Adam Borowski <kilobyte@angband.pl>  Thu, 24 Feb 2022 00:49:11 +0100

el-ixir (3.0-2) unstable; urgency=medium

  * Fix the watch file reporting a spurious new version.
  * Use https URLs.

 -- Adam Borowski <kilobyte@angband.pl>  Mon, 03 Dec 2018 01:32:13 +0100

el-ixir (3.0-1) unstable; urgency=medium

  * Initial release (closes: #889516).

 -- Adam Borowski <kilobyte@angband.pl>  Sun, 04 Feb 2018 05:10:12 +0100

=== debian/control ===
Source: el-ixir
Section: games
Priority: optional
Maintainer: Adam Borowski <kilobyte@angband.pl>
Build-Depends: debhelper-compat (= 13), fp-compiler
Standards-Version: 4.6.0
Homepage: https://github.com/kilobyte/el-ixir
Vcs-Git: https://github.com/kilobyte/el-ixir -b debian
Vcs-Browser: https://github.com/kilobyte/el-ixir/tree/debian
Rules-Requires-Root: no

Package: el-ixir
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: two-player board game with randomness
 El-Ixir is a board game that has apparently been invented by Isoft in 1981,
 released as a booter floppy.  This is a quite faithful remake, like the
 original using text-mode graphics.
 .
 Every turn, players are presented with four random squares they can place
 a block on.  The object of the game is to connect as many blocks to the
 board's corners as you can, possibly “embracing” areas while doing so.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v(\d\S*)\.tar\.gz/el-ixir-$1\.tar\.gz/ \
  https://github.com/kilobyte/el-ixir/tags .*/v(\d\S*)\.tar\.gz
